﻿/*----------------------------------------------------------
 JQuery Validate
----------------------------------------------------------*/

input.error,
select.error {
    border: 1px solid red;
    background-color: lightpink;
}

label.error {
    float: none;
    font-weight: bold;
    color: red;
    padding-left: .5em;
    vertical-align: top;
}

/*----------------------------------------------------------
 Validation summary
----------------------------------------------------------*/
.validation-summary-errors {
    color: black;
    background-color: lightpink;
    border: solid 2px lightpink;
    padding: 5px;
    border-radius: 5px;
}

/*----------------------------------------------------------
 Admin
----------------------------------------------------------*/

a.jqgrid-link {
    color: #0088cc;
    text-decoration: none;
}

a.jqgrid-link:hover,
a.jqgrid-link:focus {
  color: #005580;
  text-decoration: underline;
}

.new-indicator {
    display: none;
    font-weight: bold;
}

    .new-indicator:before {
        content: " (NEW) ";
    }

.required-indicator {
    color: red;
    padding-left: 5px;
    font-weight: bold;
    font-size: 12px;
}

    .required-indicator:before {
        content: "* ";
    }

.pager {
    display: none;
}

/*----------------------------------------------------------
 MultilistList
----------------------------------------------------------*/
.multiselectList {
	width: 99%;
	height: 116px;
	overflow-y: scroll;
	overflow-x: hidden;
	padding: 0px;
	border: 2px solid #CCC;
	background-color: #fff;
}

	.multiselectList .item {
		padding: 0px;
		background-color: #FFFFFF;
		border-bottom: 1px solid #CCC;
	}

		.multiselectList .item label {
			font-size: 12px;
			color: black;
			margin: 0px;
			padding: 2px;
		}

		.multiselectList .item.selected {
			background-color: #d7e9ff;
			border-bottom: 1px solid #9ac3e9;
		}

		.multiselectList .item input[type='checkbox'] {
			float: right;
			margin: 1px 2px 1px 2px;
			*margin: -1px 2px 1px 2px !important; /* IE7 and below */
			margin: -1px 2px 1px 2px\9 !important; /* IE8 and below */
		}

:root .multiselectList .item input[type='checkbox'] {
	margin: -1px 2px 1px 2px\9;
}

/*----------------------------------------------------------
 Sortable List
----------------------------------------------------------*/
.sortableList {
	width: 99%;
	height: 116px;
	overflow-y: scroll;
	overflow-x: hidden;
	padding: 0px;
	border: 2px solid #CCC;
	background-color: #fff;
}

	.sortableList .item {
		padding: 0px;
		background-color: #FFFFFF;
		border-bottom: 1px solid #CCC;
	}

		.sortableList .item label {
			font-size: 12px;
			color: black;
			margin: 0px;
			padding: 2px;
		}

		.sortableList .item.selected {
			background-color: #d7e9ff;
			border-bottom: 1px solid #9ac3e9;
		}

/*----------------------------------------------------------
Timecard Entries
----------------------------------------------------------*/
.disabledTimecardDay {
	background: #f6f6f6;
	width: 50px;
	color: black;
}


/*----------------------------------------------------------
Others
----------------------------------------------------------*/
.numeric {
	text-align: right;
}

/*----------------------------------------------------------
Timecard Query
----------------------------------------------------------*/

.width11 {
	width: 11% !important;
}

.width19 {
	width: 19% !important;
}

.width35 {
	width: 35% !important;
}

.width29 {
	width: 29%!important;
}